package com.zcloud.service.commitment;


import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：承诺书表
 * 作者：yangming
 * 时间：2022-12-29
 */
public interface CorpPromisePeopleService {

    /**新增
     * @param pd
     * @throws Exception
     */
    public void save(PageData pd)throws Exception;

    /**列表
     * @param page
     * @throws Exception
     */
    public List<PageData> list(Page page)throws Exception;

    /**禁用启用
     * @param pd
     * @throws Exception
     */
    void editdelete(PageData pd)throws Exception;

    /**通过ID查询
     * @param pd
     * @throws Exception
     */
    PageData findById(PageData pd)throws Exception;

    /**修改
     * @param pd
     * @throws Exception
     */
    void edit(PageData pd)throws Exception;

    List<PageData> findByPromiseId(PageData pd)throws Exception;

    /**删除承诺人
     * @param pd
     * @throws Exception
     */
    void deletePromiseId(PageData pd)throws Exception;

    List<PageData> findByCoverPromiseId(PageData pd)throws Exception;

    List<PageData> findByUserId(PageData pd)throws Exception;

    void editSign(PageData pd)throws Exception;

    List<PageData> promiselist(Page page)throws Exception;

    List<PageData> corppromiselist(Page page)throws Exception;

    List<PageData> corppromiseDetaillist(Page page)throws Exception;

    List<PageData> peopleDetaillist(Page page)throws Exception;

    List<PageData> receivePromiselist(Page page)throws Exception;

    void editIsRead(PageData pd)throws Exception;
}
